Bug 73521 - e100.o/e1000.o are installed twice.
Summary: e100.o/e1000.o are installed twice.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 73523
TreeView+ depends on / blocked
 
Reported: 2002-09-05 18:01 UTC by hjl
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 03:51:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (975 bytes, patch)
2002-09-07 04:45 UTC, hjl
no flags Details | Diff

Description hjl 2002-09-05 18:01:23 UTC
kernel-2.4.18-12.5.i686.rpm has

/lib/modules/2.4.18-12.5/kernel/drivers/net/e100
/lib/modules/2.4.18-12.5/kernel/drivers/net/e100.o
/lib/modules/2.4.18-12.5/kernel/drivers/net/e100/e100.o
/lib/modules/2.4.18-12.5/kernel/drivers/net/e1000
/lib/modules/2.4.18-12.5/kernel/drivers/net/e1000.o
/lib/modules/2.4.18-12.5/kernel/drivers/net/e1000/e1000.o

It makes mkinitrd --with e100/e1000 very unhappy. Yes,
it is a bug in mkinitrd which I will report and provide
a fix. But kernel shouldn't do it. It is a bug in
e100/Makefile and e1000/Makefile. Check out how
tulip, aic7xxx, ... do it.

Comment 1 hjl 2002-09-07 04:44:37 UTC
I am uploading a patch.

Comment 2 hjl 2002-09-07 04:45:20 UTC
Created attachment 75404 [details]
A patch


Note You need to log in before you can comment on or make changes to this bug.